# Masonite 1.5 to 1.6

## Introduction

Not much has changed in the actual project structure of Masonite 1.6 so we just need to make some minor changes to our existing 1.5 project

## Requirements.txt

We just have to change our Masonite dependency version in this file:

```
...
masonite>=1.6,<=1.6.99
```

## Bootstrap/start.py

Masonite 1.6 now wraps the majority of the application in a try and catch block so we can add exception handling such as the new debug view and other exception features down the road such as Sentry and other error logging.

In the middle of the file (line 45 if you have not made changes to this file) we can simply wrap the application:

```python
try:
    for provider in container.make('Application').PROVIDERS:
        located_provider = locate(provider)().load_app(container)
        if located_provider.wsgi is True:
            container.resolve(located_provider.boot)
except Exception as e:
    container.make('ExceptionHandler').load_exception(e)
```

This will also display an exception view whenever an exception is it.

## Finished

That's all the changes we have to make for our project.

{% hint style="success" %}
Read [What's New in Masonite 1.6](https://docs.masoniteproject.com/v2.3/whats-new/masonite-1.6) for any futher changes you may want or have to make to your code base.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.masoniteproject.com/v2.3/upgrade-guide/masonite-1.5-to-1.6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
